Jump to content

2fa-Read authentication code in your recent messages or current clipboard


Alan He

Recommended Posts

On 12/20/2022 at 8:06 PM, vitor said:

The README shows this has an internal updater. Those have to be removed/turned off for the Workflow to go in the Gallery, so as to not cause conflicts.

 

done, I have deleted the internal updater.

 

@vitor any progress? Is there anything else I need to do?

Edited by Alan He
Link to comment
Share on other sites

  • 1 month later...

Thank you for the patience here. I have already started looking at it but decided to tackle your most recent one first (review is in there). The sensitive nature of this one and the amount of node modules make it require a careful approach.

 

Either way, rest assured feedback is coming soon to this one!

Link to comment
Share on other sites

On 2/28/2023 at 6:17 AM, vitor said:

The node_modules are stopping this from being added. Specifically, there’s a node_modules/sqlite3/lib/binding/napi-v3-darwin-x64/node_sqlite3.node unsigned binary which is only compiled for Intel. That means it won’t run on users machines as is.

 

I have updated the workflow and am now using the built-in SQLite on Mac. The node-sqlite3 package has been removed as a dependency.

 

I hope it can be reviewed and pushed forward again.

 
Edited by Alan He
Link to comment
Share on other sites

  • 2 weeks later...

@Alan He Your latest update to this workflow cannot go in the Gallery. The pinned post specifies that workflows cannot download extra software on their own, including with brew install.


If you have an extra dependency, ask. The workflow already depends on node so it’s no trouble to add an extra on the Gallery.


But the change won’t work either way. Homebrew’s SQLite is keg-only, meaning it’s not symlinked and won’t take precedence.


If there is a version of macOS with a SQLite that is too old, let me know what that is and I can add that as a dependency.

Link to comment
Share on other sites

20 hours ago, vitor said:

@Alan He Your latest update to this workflow cannot go in the Gallery. The pinned post specifies that workflows cannot download extra software on their own, including with brew install.


If you have an extra dependency, ask. The workflow already depends on node so it’s no trouble to add an extra on the Gallery.


But the change won’t work either way. Homebrew’s SQLite is keg-only, meaning it’s not symlinked and won’t take precedence.


If there is a version of macOS with a SQLite that is too old, let me know what that is and I can add that as a dependency.

 

1. I have updated the workflow, and dropped brew install script.

2. requirement:  sqlite3 >=v3.33.0

 

Link to comment
Share on other sites

3 minutes ago, Alan He said:

2. requirement:  sqlite3 >=v3.33.0

 

In Ventura, sqlite3 is at 3.39.5. What I need to know is which macOS version is the minimum. Presumably you made the change because the workflow failed in a specific macOS version. Which was it?

Link to comment
Share on other sites

5 minutes ago, vitor said:

 

In Ventura, sqlite3 is at 3.39.5. What I need to know is which macOS version is the minimum. Presumably you made the change because the workflow failed in a specific macOS version. Which was it?

My understanding is to follow the sqlite3 version, but I found through my own testing that the version built into Monterey is below this limit. Ventura is v3.39

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...